Subject: bug#25200: closed (Re: bug#25200: guix lint throws gnutls error)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Dec 2016 18:52:02 +0000

Your bug report

#25200: guix lint throws gnutls error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25200: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25200
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25200: guix lint throws gnutls error
From: [email-masked] (Ludovic Courtès)
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Sat, 17 Dec 2016 19:50:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Maxim Cournoyer <[email-masked]> skribis:

> Nevermind about my last message, I re-read your reply on the bug 25213
> thread and found the answer to all of my questions.
>
> Sorry for my poor reading skills ;)

No problem!  Closing this bug now.

Thank you,
Ludo’.

Subject: guix lint throws gnutls error
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Date: Wed, 14 Dec 2016 09:23:27 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

I'm using an up-to-date Guix (running directly from the Git tree) and
recently started getting the following gnutls errors when attempting to
run "guix lint some-package". This happens for any package.

The complete error traceback returned on the console looks like:

 guix lint icecat
gnu/packages/gnuzilla.scm:304:2: icecat-45.5.1-gnu1: file names of patches should start with the package name
Backtrace:cecat-45.5.1-gnu1 [cve]...
In ice-9/boot-9.scm:
 160: 17 [catch #t #<catch-closure 2855e20> ...]
In unknown file:
   ?: 16 [apply-smob/1 #<catch-closure 2855e20>]
In ice-9/boot-9.scm:
  66: 15 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 14 [eval # #]
In ice-9/boot-9.scm:
2404: 13 [save-module-excursion #<procedure 2875900 at ice-9/boot-9.scm:4051:3 ()>]
4056: 12 [#<procedure 2875900 at ice-9/boot-9.scm:4051:3 ()>]
1727: 11 [%start-stack load-stack ...]
1732: 10 [#<procedure 2889b70 ()>]
In unknown file:
   ?: 9 [primitive-load "/gnu/store/qxawdi2q9bhr9x4v57wbnj8y5krhhm3p-guix-0.11.0-8.8d12/bin/.guix-real"]
In guix/ui.scm:
1222: 8 [run-guix-command lint "icecat"]
In srfi/srfi-1.scm:
 616: 7 [for-each #<procedure 35c4680 at guix/scripts/lint.scm:1056:20 (spec)> #]
In guix/scripts/lint.scm:
 964: 6 [run-checkers # #]
In srfi/srfi-1.scm:
 616: 5 [for-each #<procedure 3dcf2a0 at guix/scripts/lint.scm:964:14 (checker)> #]
In guix/scripts/lint.scm:
 786: 4 [check-vulnerabilities #]
 781: 3 [#<procedure 35c2b00 at guix/scripts/lint.scm:771:4 (package)> #]
In unknown file:
   ?: 2 [force #<promise #<procedure 35c2be0 at guix/scripts/lint.scm:769:16 ()>>]
In guix/scripts/lint.scm:
 770: 1 [#<procedure 35c2be0 at guix/scripts/lint.scm:769:16 ()>]
In ice-9/boot-9.scm:
 160: 0 [catch srfi-34 #<procedure 35c2ce0 at guix/scripts/lint.scm:743:2 ()> ...]

ice-9/boot-9.scm:160:17: In procedure catch:
ice-9/boot-9.scm:160:17: Throw to key `gnutls-error' with args `(#<gnutls-error-enum Error while reading file.> set-certificate-credentials-x509-trust-file!)'.

I'm using GuixSD and ran "sudo guix system reconfigure /etc/config.scm"
prior to sending this report, so everything should be current. This
config contains the nss-certs package, which should include gnutls, I
believe. Here's my config, in case:

;; This is an operating system configuration template
;; for a "desktop" setup without full-blown desktop
;; environments.

(use-modules (gnu) (gnu system nss))
(use-service-modules desktop)
(use-package-modules wm ratpoison certs)

(operating-system
  (host-name "apteryx")
  (timezone "America/Los_Angeles")
  (locale "en_US.UTF-8")

  ;; Assuming /dev/sdX is the target hard disk, and "my-root"
  ;; is the label of the target root file system.
  (bootloader (grub-configuration (device "/dev/sda")))

  (file-systems (cons (file-system
                        (device "my-root")
                        (title 'label)
                        (mount-point "/")
                        (type "ext4"))
                      %base-file-systems))

  (users (cons (user-account
                (name "maxim")
                (comment "Maxim Cournoyer")
                (group "users")
                (supplementary-groups '("wheel" "netdev"
                                        "audio" "video"))
                (home-directory "/home/maxim"))
               %base-user-accounts))

  ;; Add a bunch of window managers; we can choose one at
  ;; the log-in screen with F1.
  (packages (cons* ratpoison ; i3-wm xmonad  ;window managers
                   nss-certs               ;for HTTPS access
                   %base-packages))

  ;; Use the "desktop" services, which include the X11
  ;; log-in service, networking with Wicd, and more.
  (services %desktop-services)

  ;; Allow resolution of '.local' host names with mDNS.
  (name-service-switch %mdns-host-lookup-nss))